:root {
    --brand-color: #002557;
    --brand-color-light: #BBD5FF;
    --toastify-color-success: #002557;
}

@font-face {
    font-family: 'Inter';
    src: url('../fonts/Inter-Regular.ttf');
}

html, body {
    padding: 0;
    margin: 0;
}

body {
    background-color: #f5f5f5;
    font-family: 'Inter';
    font-size: 1rem;
    color: rgb(108, 117, 125);
}

a {
    text-decoration: none;
    color: var(--brand-color);
}

h1 {
    font-size: calc(1.375rem + 1.5vw);
    font-weight: 500;
    color: #000;
}

main { 
    width: 45%;
    min-width: 20rem;
    max-width: 42rem;
    margin: 0 auto;
}

#logo_container {
    display: flex;
    justify-content: center;
}

main #logo_container img {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    text-align: center;
}

article {
    color:  #000;
}

article a {
    color: #0d6efd;
}

.card {
    background-color: #fff;
    padding: 1rem 2rem;   
    border-radius: 0.25rem;
    word-wrap: break-word;
    text-align: center;
    box-shadow: 0px 4px 8px -2px rgba(16,24,40,.1), 0px 2px 4px -2px rgba(16,24,40,.06) !important;
}

.card form p label {
    display: block;
    text-align: left;
    margin-bottom: 0.5rem;
}

.card form p:nth-of-type(2) label {
    float: left;
}

.line {
    margin: .5rem -2rem;
    border-top: .15rem solid rgba(0,0,0,.125);
}

.compatibility_note {
    font-size: .8rem;
}

.btn {
    background-color: var(--brand-color);
    border-color: var(--brand-color);
    color: #fff;
    font-weight: 400;
    line-height: 1.5;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    user-select: none;
    border: 1px solid rgba(0,0,0,0);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    border-radius: 0.25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.btn:focus {
    box-shadow: 0 0 0 0.25rem var(--brand-color-light);
}

input[type="text"] {
    display: block;
    width: 90%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    appearance: none;
    outline: 0;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

input[type=text]:focus {
    border-color: #f5f5f5;
    box-shadow: 0 0 0 2px var(--brand-color-light);
}

.card p:first-child {
    text-align: left;
}

.card form p:nth-of-type(4) {
    display: flex;
    align-items: flex-start;
    font-size: .7rem;
}

label[for="id_privacy"] {
  order: 1;
  text-align: left;
}

input#id_privacy {
  order: 0;
}

input[type=radio],
input[type=checkbox] {
    accent-color: var(--brand-color);
}

#id_role {
    display: flex;
    justify-content: space-around;
}

footer {
    margin-top: 1rem;
    max-height: 3rem;
    border-top: 1px solid #d0d5dd;
    width: 90%;
    margin: 0 auto;
}

footer a:not(:first-child) {
    padding-left: 1rem;
}

#footer-container {
    text-align: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
}


@media screen and (max-width: 768px) {
    main { 
        width: 90%;
    }
}

@media screen and (max-width: 575px) {
    main { 
        width: 100%;
    }

    article {
        padding: 0 1rem;
    }
}